package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.open.PaperDimension;
import com.qmth.distributed.print.business.bean.params.GradePaperDimensionParam;
import com.qmth.distributed.print.business.entity.GradePaperDimension;
import com.qmth.teachcloud.common.entity.SysUser;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 分析-考察点维度表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
public interface GradePaperDimensionService extends IService<GradePaperDimension> {

    // TODO: 2022/5/20 查询接口 
    /**
     * 分析 - 试卷维度数据 编辑
     * @param gradePaperDimensionParam 试卷维度参数
     * @param requestUser 请求用户
     * @return 试卷维度数据id
     */
    Long editGradePaperDimension(GradePaperDimensionParam gradePaperDimensionParam,SysUser requestUser);

    /**
     * 分析 - 试卷维度数据批量 编辑
     * @param gradePaperDimensionParamList 试卷维度参数集合
     * @param requestUser 请求用户
     */
    void editGradePaperDimensionBatch(List<GradePaperDimensionParam> gradePaperDimensionParamList, SysUser requestUser);

    /**
     * 批量删除试卷维度数据
     * @param gradePaperDimensionIdList 试卷维度数据id集合
     */
    void deleteGradePaperDimension(List<Long> gradePaperDimensionIdList);

    /**
     * 分析 - 试卷维度数据导入
     * @param file excel 文件
     * @param paperNumber 试卷编号
     * @param paperType 试卷类型
     * @param requestUser 请求用户
     */
    void importGradePaperDimension(MultipartFile file, String paperNumber, String paperType, SysUser requestUser);

    /**
     * 分析 - 试卷维度模板导出
     * @param paperNumber 试卷编号
     * @param paperType 试卷类型
     * @param requestUser 请求用户
     */
    void exportGradePaperDimensionTemplate(String paperNumber, String paperType, SysUser requestUser);

    PaperDimension findBySchoolIdAndPaperNumberAndPaperType(Long schoolId, String paperNumber, String paperType);
}
