package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.GradeModuleDefine;
import com.qmth.distributed.print.business.mapper.GradeModuleDefineMapper;
import com.qmth.distributed.print.business.service.GradeModuleDefineService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 分析-模块二级考察点维度熟练度配置，及模块简要描述表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@Service
public class GradeModuleDefineServiceImpl extends ServiceImpl<GradeModuleDefineMapper, GradeModuleDefine> implements GradeModuleDefineService {

    @Override
    public List<GradeModuleDefine> findBySchoolIdAndPaperNumberAndPaperType(Long schoolId, String paperNumber, String paperType) {
        QueryWrapper<GradeModuleDefine> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(GradeModuleDefine::getSchoolId, schoolId)
                .eq(GradeModuleDefine::getPaperNumber, paperNumber)
                .eq(GradeModuleDefine::getPaperType, paperType);
        return this.baseMapper.selectList(queryWrapper);
    }
}
